models/Usuarios.php
<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace app\models;

use Yii;
use yii\base\Model;

/**
 * Description of Usuarios
 *
 * @author Alpe
 */
class Usuarios extends Model{
    public $nombre;
    public $apellidos;
    public $edad;
    public $email;
    
    public function rules()
    {
        return[
            [['nombre','edad','email'], 'required','message'=>'{attribute} es obligatorio'],
            [['apellidos'], 'safe'],
            ['email','email','message'=>'Escribir correctamente el correo electronico'],
            ['edad','number','min'=>18,'max'=>65,'tooBig'=>'La edad debe estar entre 18 y 65','tooSmall'=>'La edad debe estar entre 18 y 65']
        ];
    }
    
    public function attributeLabels()
    {
        return [
            'nombre' => 'Nombre de usuario',
        ];
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use app\models\Usuarios;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }
    
    public function actionPrueba() 
    {
        $datos="<script>alert('1');</script>";

        return $this->render("prueba",["datos"=>$datos]);
    }
    
    public function actionFormulario()
    {
        if($datos=Yii::$app->request->post())
        {
            return $this->render("prueba",["datos"=>$datos["usuario"]]);
        }else
        {
            return $this->render("formulario");
        }
    }
    
    public function actionUsuarios()
    {
        $model=new Usuarios();
        
        if($model->load(\Yii::$app->request->post()))
        {
            return $this->render('mostrarUsuarios',['model'=>$model]);
        }else
        {
            return $this->render('formularioUsuarios',['model'=>$model]);
        }
    }
    
    public function actionUsuarios_gii()
    {
        $model = new Usuarios();

        if ($model->load(Yii::$app->request->post())) {
            if ($model->validate()) {
                // form inputs are valid, do something here
                return;
            }
        }

        return $this->render('usuarios_gii', [
            'model' => $model,
        ]);
    }
    
    public function actionMensaje()
    {
        return $this->render('mensaje',['titulo'=>'Ejemplo de clase','texto'=>'texto de ejemplo']);
    }
    
    public function actionMensaje1()
    {
        return $this->render('mensaje1',['titulo'=>'Ejemplo de clase','pie'=>'pie']);
    }
    
    public function actionMensaje2()
    {
        return $this->render('mensaje2',['titulo'=>'Ejemplo de clase','texto'=>'texto de ejemplo']);
    }
}

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\assets\AppAsset;
use app\widgets\Alert;
use yii\bootstrap4\Breadcrumbs;
use yii\bootstrap4\Html;
use yii\bootstrap4\Nav;
use yii\bootstrap4\NavBar;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>" class="h-100">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <?php $this->registerCsrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body class="d-flex flex-column h-100">
<?php $this->beginBody() ?>

<header>
    <?php
    NavBar::begin([
        'brandLabel' => Yii::$app->name,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar navbar-expand-md navbar-dark bg-dark fixed-top',
        ],
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav'],
        'items' => [
            ['label' => 'Home', 'url' => ['/site/index']],
            ['label' => 'Formulario', 'url' => ['/site/formulario']],
            ['label' => 'Usuarios', 'url' => ['/site/usuarios']],
            ['label' => 'Mensaje', 'url' => ['/site/mensaje']],
            ['label' => 'Mensaje1', 'url' => ['/site/mensaje1']],
            ['label' => 'Mensaje2', 'url' => ['/site/mensaje2']],
        ],
    ]);
    NavBar::end();
    ?>
</header>

<main role="main" class="flex-shrink-0">
    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</main>

<footer class="footer mt-auto py-3 text-muted">
    <div class="container">
        <p class="float-left">Curso Programacion</p>
        <p class="float-right">Alpe Formacion</p>
    </div>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        Upss.....
    </p>
    <p>
        Hay un problema
    </p>

</div>

views/site/formulario.php
<?php

use yii\helpers\Html;

echo "<h3>Formulario</h3>";

echo Html::beginForm(['site/formulario'],'post');
echo Html::beginTag('div',['class' => 'form-group']);
echo Html::label('Nombre','iusuario',['class'=>'control-label']);
echo Html::input('text','usuario','',['id'=>'iusuario','class'=>'form-control']);
echo Html::endTag('div');
echo Html::submitButton('Enviar',['class'=>'btn btn-info']);
echo Html::endForm();

views/site/formulario1.php
<?php
use  yii\helpers\Url;
?>

<h3>Formulario 1</h3>

<form method="post" action="<?= Url::to(['site/formulario']) ?>">
    <div class="form-group">
        <label for="iusuario">Nombre</label>
        <input type="text" class="form-control" id="iusuario" name="usuario">
    </div>
    <button class="btn btn-info">Enviar</button>
</form>

views/site/formularioUsuarios.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

?>

<?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'nombre') ?>

    <?= $form->field($model, 'apellidos') ?>

    <?= $form->field($model, 'email') ?>

    <?= $form->field($model, 'edad') ?>

    <div class="form-group">
        <?= Html::submitButton('Submit', ['class' => 'btn btn-primary']) ?>
    </div>

<?php ActiveForm::end(); ?>

views/site/index.php
<div class="jumbotron">
    <h3>Probando algunas cosillas de Yii.</h3>
</div>

views/site/mensaje.php
<?php

use app\components\Mensaje;

echo Mensaje::widget([
    "titulo"=>$titulo,
    "texto"=>$texto
]);

views/site/mensaje1.php
<?php

use app\components\Mensaje1;

Mensaje1::begin([
    "titulo"=>$titulo,
    "pie"=>$pie
]);

?>

Esto es un ejemplo de clase

<?php

Mensaje1::end();

views/site/mensaje2.php
<?php

use app\components\Mensaje2;

echo Mensaje2::widget([
   "titulo" => $titulo,
    "contenido" => $texto
]);

views/site/mostrarUsuarios.php
<?php
use yii\helpers\Html;
?>

<p>Has introducido la siguiente informacion</p>

<ul>
    <li><label>Nombre</label>: <?= Html::encode($model->nombre) ?></li>
    <li><label>Apellidos</label>: <?= Html::encode($model->apellidos)?></li>
    <li><label>Edad</label>: <?= Html::encode($model->edad)?></li>
    <li><label>Email</label>: <?= Html::encode($model->email)?></li>
</ul>

views/site/prueba.php
<?php



echo yii\helpers\Html::encode($datos);

views/site/usuarios_gii.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\Usuarios */
/* @var $form ActiveForm */
?>
<div class="usuarios_gii">

    <?php $form = ActiveForm::begin(); ?>

        <?= $form->field($model, 'nombre') ?>
        <?= $form->field($model, 'edad') ?>
        <?= $form->field($model, 'email') ?>
        <?= $form->field($model, 'apellidos') ?>
    
        <div class="form-group">
            <?= Html::submitButton('Submit', ['class' => 'btn btn-primary']) ?>
        </div>
    <?php ActiveForm::end(); ?>

</div><!-- usuarios_gii -->